Bug 273161 - Lock with recent gtk2
Lock with recent gtk2
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
9
All All
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-31 15:51 EDT by Nickolay V. Shmyrev
Modified: 2008-06-17 02:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 02:05:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nickolay V. Shmyrev 2007-08-31 15:51:58 EDT
Description of problem:

Desktop locks eventually

Version-Release number of selected component (if applicable):

gtk2-2.11.6-7.fc8.i386.rpm

How reproducible:

I've just upgraded to gtk2-2.11 and my desktop start locking from time to time,
often lock is caused by high network activity. I have Thinkpad E50r with intel
chipset btw, Xorg is xorg-x11-server-Xorg-1.3.0.0-5.fc7

strace of Xorg shows the following loop

gettimeofday({1188588577, 208214}, NULL) = 0
select(256, [1 3 4 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30],
NULL, NULL, {0, 397000}) = 1 (in [30], left {0, 397000})
gettimeofday({1188588577, 208612}, NULL) = 0
read(30, "=\0\4\0}\0\240\2\0\0\0\0\0\0\0\0T\0\4\0 \0\0\0\377\0\377"..., 4096) = 32
read(30, 0xa55f9c0, 4096)               = -1 EAGAIN (Resource temporarily
unavailable)
writev(30, [{"\1\355{\265\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 32}],
1) = 32
gettimeofday({1188588577, 209349}, NULL) = 0
select(256, [1 3 4 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30],
NULL, NULL, {0, 396000}) = 1 (in [30], left {0, 396000})
gettimeofday({1188588577, 209838}, NULL) = 0
read(30, "=\0\4\0}\0\240\2\0\0\0\0\0\0\0\0", 4096) = 16
read(30, 0xa55f9c0, 4096)               = -1 EAGAIN (Resource temporarily
unavailable)
gettimeofday({1188588577, 210213}, NULL) = 0
select(256, [1 3 4 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30],
NULL, NULL, {0, 395000}) = ? ERESTARTNOHAND (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
setitimer(ITIMER_REAL, {it_interval={0, 0}, it_value={0, 0}}, NULL) = 0
sigreturn()                             = ? (mask now [])
gettimeofday({1188588577, 212431}, NULL) = 0
gettimeofday({1188588577, 212495}, NULL) = 0
select(256, [1 3 4 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30],
NULL, NULL, {0, 393000}) = 1 (in [30], left {0, 379000})
setitimer(ITIMER_REAL, {it_interval={0, 20000}, it_value={0, 20000}}, NULL) = 0
gettimeofday({1188588577, 226584}, NULL) = 0
read(30, "T\0\4\0 \0\0\0\377\0\377\0\377\0\0\0", 4096) = 16
read(30, 0xa55f9c0, 4096)               = -1 EAGAIN (Resource temporarily
unavailable)
writev(30, [{"\1\355}\265\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 32}],
1) = 32
gettimeofday({1188588577, 227270}, NULL) = 0
select(256, [1 3 4 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30],
NULL, NULL, {0, 378000}) = 1 (in [30], left {0, 378000})
gettimeofday({1188588577, 227757}, NULL) = 0
read(30, "=\0\4\0}\0\240\2\0\0\0\0\0\0\0\0T\0\4\0 \0\0\0\377\0\377"..., 4096) = 32
read(30, 0xa55f9c0, 4096)               = -1 EAGAIN (Resource temporarily
unavailable)
writev(30, [{"\1\355\177\265\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 32}],
1) = 32
gettimeofday({1188588577, 228766}, NULL) = 0
select(256, [1 3 4 11 12 13 14 15 16 17 18 1

downgrade to 2.10 helps to solve the problem it seems.
Comment 1 Bug Zapper 2008-05-13 23:10:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthias Clasen 2008-06-16 23:51:20 EDT
I assume this problem has gone away ?
Comment 3 Nickolay V. Shmyrev 2008-06-17 02:05:12 EDT
Sure

Note You need to log in before you can comment on or make changes to this bug.